/**
 AVAILABLE PLACEHOLDER
 * {PlayerName} = Player Name
 * {PlayerHealth} = Player Health
 * {PlayerLevel} = Player Level
 * {PlayerXP} = Player Total Experience
 * {PosX}, {PosY}, {PosZ} = Player Position
 * {PlayerRanks} = Player Ranks, works for Minecraft Essentials Ranks (https://mcpedl.com/minecraft-essentials/)
 * {Gamemode} = Player Gamemode (Creative, Survival, Adventure, Spectator)
 * {Dimension} = Player Dimension (Overworld, Nether, The End)
 * {TotalPlayer} = Total Online Player
 * {Year} = Get Year in Real Time
 * {Month} = Get Month in Real Time
 * {Date} = Get Date in Real Time
 * {Hours} = Get Hour in Real Time
 * {Minutes} = Get Minute in Real Time
 * {Seconds} = Get Second in Real Time
 * {LocaleDate} = Get Formated Date
 * {LocaleTime} = Get Formated Time
 * {WorldDay} = Get World Day
 * {TimeOfDay} = Get Time of Day in ticks
 * {PlaytimeDays}: Get Player Playtime in Days
 * {PlaytimeHours}: Get Player Playtime in Hours
 * {PlaytimeMinutes}: Get Player Playtime in Minutes
 * {PlaytimeSeconds}: Get Player Playtime in Seconds
 * {PlaytimeFormat}: Get Formated Player Playtime
 * {TotalPlaytimeDays}: Get Player Total Playtime in Days
 * {TotalPlaytimeHours}: Get Player Total Playtime in Hours
 * {TotalPlaytimeMinutes}: Get Player Total Playtime in Minutes
 * {TotalPlaytimeSeconds}: Get Player Total Playtime in Seconds
 * {TotalPlaytimeFormat}: Get Formated Total Player Playtime
 * {DeathsCount}: Get Player Death Count
 * {KillsCount}: Get Player Kill Count
 * {KillsPlayersCount}: Get Player Kill Count (Player kills player)
 * Scoreboard(objectiveId) = Get player score in Scoreboard Objective
 * FormatMoney(Number) = Format number to Money text
 * CalculateNumber(Math) = Example: CalculateNumber(500 / 50)
 * RomanNumeral(Number) = Format number to Roman, Example 5 -> V
 * Capitalize(String) = Format Capitalize on String, Example Capitalize(paoeni) -> Paoeni
*/
const ScoreboardDisplay = { // You can setting the scoreboard here! || Use Array on Title or Field for Animate Text 
  Title: ">> §4Better §fScoreboard §r<<",
  // Title: [ // EXAMPLE ANIMATION TEXT
  //   ">> §4B §r<<",
  //   "> §4Be §r<",
  //   ">> §4Bet §r<<",
  //   "> §4Bett §r<",
  //   ">> §4Bette §r<<",
  //   "> §4Better §r<",
  //   ">> §4Better §fS §r<<",
  //   "> §4Better §fSc §r<",
  //   ">> §4Better §fSco §r<<",
  //   "> §4Better §fScor §r<",
  //   ">> §4Better §fScore §r<<",
  //   "> §4Better §fScoreb §r<",
  //   ">> §4Better §fScorebo §r<<",
  //   "> §4Better §fScoreboa §r<",
  //   ">> §4Better §fScoreboar §r<<",
  //   "> §4Better §fScoreboard §r<",
  //   ">> §4Better §fScoreboard §r<<",
  //   "> §4Better §fScoreboard §r<",
  // ],
  TitleLogo: true, // Use logo on title, if set true title will replace with logo
  TitleCenter: true, // Set false if you don't want title set to Center
  NoBorder: false, // Set true will make background transparent
  Field: [ // Field of Scoreboard, you can add more field || Support Lang text
    "§e Name: §r{PlayerName} ",
    "§e Health: §4{PlayerHealth} ",
    "§e Level: §r{PlayerLevel} ",
    "§e XP: §r{PlayerXP} ",
    "§e Money: §rFormatMoney(Scoreboard(Money)) ",
    "§e Position: §r{PosX} | {PosY} | {PosZ} ",
    "§e Gamemode: §r{Gamemode} ",
    "§e Dimension: §r{Dimension} ",
    "§e Online: §r{TotalPlayer} / 20 ",
    "§e TPS: §r{TPS} ",
    "§e Date: §r{LocaleTime} | {LocaleDate} ",
    "§e Playtime: §r{TotalPlaytimeDays}d {TotalPlaytimeHours}h {TotalPlaytimeMinutes}m {TotalPlaytimeSeconds}s ",
    ""
  ]
}

const DelayAnimation = 1 // In Seconds

export { ScoreboardDisplay, DelayAnimation }